entity  MUX2_TB is
end MUX2_TB;

architecture BEHAV of MUX2_TB is
component MUX2
  port (
     A, B, SEL: in  bit;
     Z: out bit);
end component;

  signal A_S, B_S, SEL_S, Z_S: bit; 

begin
        
  uut:  MUX2 port map (A_S, B_S, SEL_S, Z_S);

  SEL_p: process -- andamento del segnale SEL_S  
    begin
      SEL_S <= '0';
      wait for 10 ns;
      SEL_S <= '1';
      wait for 10 ns;
    end process;

  A_p: process -- andamento del segnale A_S  
    begin
      A_S <= '0';
      wait for 20 ns;
      A_S <= '1';
      wait for 20 ns;
    end process;
  
  B_p: process   -- andamento del segnale B_S
    begin
      B_S <= '0';
      wait for 40 ns;
      B_S <= '1';
      wait for 40 ns;
    end process;
  
end BEHAV;


