library ieee;
use ieee.std_logic_1164.all;

entity FF_set_reset_tb is
end FF_set_reset_tb;

architecture test of FF_set_reset_tb is
component FF_set_reset
  port (
    Reset, Set, Clk, D : in std_logic;
    Q : out std_logic);
end component;

  signal clk,rst,set,d,z: std_logic;
  
BEGIN
  uut: FF_set_reset PORT MAP (rst,set,clk,d,z);
  
  clock_p: PROCESS
  BEGIN 
    clk <= '0';
    WAIT FOR 10 ns;
    clk <= '1';
    WAIT FOR 10 ns;
  END PROCESS;
  
  reset_p: PROCESS
  BEGIN 
    rst <= '1';
    WAIT FOR 50 ns;
    rst <= '0';
    WAIT FOR 120 ns;
  END PROCESS;
--
  set_p: PROCESS
  BEGIN 
    set <= '0';
    WAIT FOR 120 ns;
    set <= '1';
    WAIT FOR 20 ns;
  END PROCESS;
  
  datain_p: PROCESS
  BEGIN 
    d <= '0';
    WAIT FOR 15 ns;
    d <= '1';
    WAIT FOR 20 ns;
    d <= '0';
    WAIT FOR 17 ns;
    d <= '1';
    WAIT FOR 22 ns;
    d <= '0';
    WAIT FOR 10 ns;
    d <= '1';
    WAIT FOR 21 ns;
    d <= '0';
    WAIT FOR 18 ns;
  END PROCESS;

end test;

